clang 8.0.0

Classes | Namespaces | Macros | Enumerations
LangStandard.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "clang/Frontend/FrontendOptions.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "clang/Frontend/LangStandards.def"`
Include dependency graph for LangStandard.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::LangStandard
| LangStandard - Information about the properties of a particular language standard. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::frontend

## Macros
#define | LANGSTANDARD(id, name, lang, desc, features) lang_##id,

## Enumerations
enum | clang::frontend::LangFeatures { clang::frontend::LineComment = (1 << 0), clang::frontend::C99 = (1 << 1), clang::frontend::C11 = (1 << 2), clang::frontend::C17 = (1 << 3), clang::frontend::CPlusPlus = (1 << 4), clang::frontend::CPlusPlus11 = (1 << 5), clang::frontend::CPlusPlus14 = (1 << 6), clang::frontend::CPlusPlus17 = (1 << 7), clang::frontend::CPlusPlus2a = (1 << 8), clang::frontend::Digraphs = (1 << 9), clang::frontend::GNUMode = (1 << 10), clang::frontend::HexFloat = (1 << 11), clang::frontend::ImplicitInt = (1 << 12), clang::frontend::OpenCL = (1 << 13) }

## Macro Definition Documentation

## ◆ LANGSTANDARD

#define LANGSTANDARD | ( |  | id,
|  |  | name,
|  |  | lang,
|  |  | desc,
|  |  | features
| ) |  | lang_##id,

Definition at line 44 of file LangStandard.h.